import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '@/views/Main/HomeView.vue'
import { getSessionVar } from '@/utils/sessioin'
//import Annotation from '@/views/Annotation'
//import MindMap from '@/views/MindMap'
const router = createRouter({


  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/main',
      name: 'main',
      redirect: "/main/home",
      component: () => import('../views/Main/index.vue'),
      children: [
        {
          path: 'home',
          name: 'home',
          component: HomeView,
          meta: { requiresAuth: true },
        },
        {
          path: "graphmap",
          name: "graphmap",
          component: () => import("../views/Main/GraphMap.vue"),
          meta: { requiresAuth: true },

        },
        {
          path: "graphupdate",
          name: "graphupdate",
          component: () => import("../views/Main/GraphUpdate.vue"),
          meta: { requiresAuth: true },

        },
        {
          path: 'about',
          name: 'about',
          // route level code-splitting
          // this generates a separate chunk (About.[hash].js) for this route
          // which is lazy-loaded when the route is visited.
          component: () => import('../views/Main/AboutView.vue'),
        },
        {
          path: 'graph',
          name: 'graph',
          // route level code-splitting
          // this generates a separate chunk (About.[hash].js) for this route
          // which is lazy-loaded when the route is visited.
          component: () => import('../views/Main/GraphView.vue'),
          meta: { requiresAuth: true },
        },
        {
          path: 'file',
          name: 'file',
          component: () => import('../views/Main/FileBrowse.vue'),
          meta: { requiresAuth: true },
        },
        {
          path: 'g',
          name: 'MindMap',
          component: () => import('../views/Main/MindMap.vue'),
          meta: { requiresAuth: true },
        },
        {
          path: 'Annotation',
          name: 'Annotation',
          component: () => import('../views/Main/Annotation.vue'),
          meta: { requiresAuth: true },
        },
        {
          path: 'schema',
          name: 'Schema',
          component: () => import('../views/dict/KgSchemas.vue'),
          meta: { requiresAuth: true },
        },
        {
          path: 'icd',
          name: 'ICD',
          component: () => import('../views/dict/ICD.vue'),
          meta: { requiresAuth: true },
        },
        {
          path: 'drg',
          name: 'DRG',
          component: () => import('../views/dict/Drg.vue'),
          meta: { requiresAuth: true },
        },
        {
          path: 'drug',
          name: 'Drug',
          component: () => import('../views/dict/Drugs.vue'),
          meta: { requiresAuth: true },
        },
      ]
    },
    {
      path: '/login',
      name: 'login',
      component: () => import('../views/LoginView.vue'),

    },


  ],
})

router.beforeEach((to, from, next) => {
  let isAuthenticated = false;
  if (getSessionVar("access_token") != null) {
    isAuthenticated = true;
  }
  if (to.matched.some(record => record.meta.requiresAuth) && !isAuthenticated) {
    next('/login');
  } else {
    next();
  }
})
export default router
